BaseScalaCompileOptions (Gradle API 8.11.1)

Package org.gradle.language.scala.tasks

## Class BaseScalaCompileOptions

- java.lang.Object
- - org.gradle.api.tasks.compile.AbstractOptions
  - - org.gradle.language.scala.tasks.BaseScalaCompileOptions

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `ScalaCompileOptions`

      public abstract class BaseScalaCompileOptions
      extends AbstractOptions

  Options for Scala platform compilation.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BaseScalaCompileOptions()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `forkOptions​(Action<? super ScalaForkOptions> action)` | Configure options for running the Scala compiler in a separate process.
    `java.util.List<java.lang.String>` | `getAdditionalParameters()` | Additional parameters passed to the compiler.
    `java.lang.String` | `getDebugLevel()` | Generate debugging information.
    `java.lang.String` | `getEncoding()` | Encoding of source files.
    `ScalaForkOptions` | `getForkOptions()` | Options for running the Scala compiler in a separate process.
    `IncrementalCompileOptions` | `getIncrementalOptions()` | Options for incremental compilation of Scala code.
    `Property<KeepAliveMode>` | `getKeepAliveMode()` | Keeps Scala compiler daemon alive across builds for faster build times
    `java.lang.String` | `getLoggingLevel()` | Specifies the amount of logging.
    `java.util.List<java.lang.String>` | `getLoggingPhases()` | Phases of the compiler to log.
    `protected ObjectFactory` | `getObjectFactory()` |
    `void` | `incrementalOptions​(Action<? super IncrementalCompileOptions> action)` | Configure options for incremental compilation of Scala code.
    `boolean` | `isDeprecation()` | Generate deprecation information.
    `boolean` | `isFailOnError()` | Fail the build on compilation errors.
    `boolean` | `isForce()` | Whether to force the compilation of all files.
    `boolean` | `isListFiles()` | List files to be compiled.
    `boolean` | `isOptimize()` | Run optimizations.
    `boolean` | `isUnchecked()` | Generate unchecked information.
    `void` | `setAdditionalParameters​(java.util.List<java.lang.String> additionalParameters)` | Sets the additional parameters.
    `void` | `setDebugLevel​(java.lang.String debugLevel)` |
    `void` | `setDeprecation​(boolean deprecation)` |
    `void` | `setEncoding​(java.lang.String encoding)` |
    `void` | `setFailOnError​(boolean failOnError)` |
    `void` | `setForce​(boolean force)` |
    `void` | `setForkOptions​(ScalaForkOptions forkOptions)` | Deprecated. Setting a new instance of this property is unnecessary.
    `void` | `setIncrementalOptions​(IncrementalCompileOptions incrementalOptions)` | Deprecated. Setting a new instance of this property is unnecessary.
    `void` | `setListFiles​(boolean listFiles)` |
    `void` | `setLoggingLevel​(java.lang.String loggingLevel)` |
    `void` | `setLoggingPhases​(java.util.List<java.lang.String> loggingPhases)` |
    `void` | `setOptimize​(boolean optimize)` |
    `void` | `setUnchecked​(boolean unchecked)` |

    - ### Methods inherited from class org.gradle.api.tasks.compile.AbstractOptions

      `define`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseScalaCompileOptions

          public BaseScalaCompileOptions()

  - ### Method Detail

    - #### getObjectFactory

          @Inject
          protected ObjectFactory getObjectFactory()

    - #### isFailOnError

          @Input
          public boolean isFailOnError()

      Fail the build on compilation errors.

    - #### setFailOnError

          public void setFailOnError​(boolean failOnError)

    - #### isDeprecation

          @Console
          public boolean isDeprecation()

      Generate deprecation information.

    - #### setDeprecation

          public void setDeprecation​(boolean deprecation)

    - #### isUnchecked

          @Console
          public boolean isUnchecked()

      Generate unchecked information.

    - #### setUnchecked

          public void setUnchecked​(boolean unchecked)

    - #### getDebugLevel

          @Nullable
          @Optional
          @Input
          public java.lang.String getDebugLevel()

      Generate debugging information. Legal values: none, source, line, vars, notailcalls

    - #### setDebugLevel

          public void setDebugLevel​(@Nullable
                                    java.lang.String debugLevel)

    - #### isOptimize

          @Input
          public boolean isOptimize()

      Run optimizations.

    - #### setOptimize

          public void setOptimize​(boolean optimize)

    - #### getEncoding

          @Nullable
          @Optional
          @Input
          public java.lang.String getEncoding()

      Encoding of source files.

    - #### setEncoding

          public void setEncoding​(@Nullable
                                  java.lang.String encoding)

    - #### isForce

          @Input
          public boolean isForce()

      Whether to force the compilation of all files. Legal values: - false (only compile modified files) - true (always recompile all files)

    - #### setForce

          public void setForce​(boolean force)

    - #### getAdditionalParameters

          @Optional
          @Input
          public java.util.List<java.lang.String> getAdditionalParameters()

      Additional parameters passed to the compiler. Each parameter must start with '-'.
      Returns:
        The list of additional parameters.

    - #### setAdditionalParameters

          public void setAdditionalParameters​(java.util.List<java.lang.String> additionalParameters)

      Sets the additional parameters.

      Setting this property will clear any previously set additional parameters.

    - #### isListFiles

          @Console
          public boolean isListFiles()

      List files to be compiled.

    - #### setListFiles

          public void setListFiles​(boolean listFiles)

    - #### getLoggingLevel

          @Console
          public java.lang.String getLoggingLevel()

      Specifies the amount of logging. Legal values: none, verbose, debug

    - #### setLoggingLevel

          public void setLoggingLevel​(java.lang.String loggingLevel)

    - #### getLoggingPhases

          @Console
          public java.util.List<java.lang.String> getLoggingPhases()

      Phases of the compiler to log. Legal values: namer, typer, pickler, uncurry, tailcalls, transmatch, explicitouter, erasure, lambdalift, flatten, constructors, mixin, icode, jvm, terminal.

    - #### setLoggingPhases

          public void setLoggingPhases​(java.util.List<java.lang.String> loggingPhases)

    - #### getForkOptions

          public ScalaForkOptions getForkOptions()

      Options for running the Scala compiler in a separate process.

    - #### setForkOptions

          @Deprecated
          public void setForkOptions​(ScalaForkOptions forkOptions)

      Deprecated.
      Setting a new instance of this property is unnecessary. This method will be removed in Gradle 9.0. Use `forkOptions(Action)` instead.
      Options for running the Scala compiler in a separate process.

    - #### forkOptions

          public void forkOptions​(Action<? super ScalaForkOptions> action)

      Configure options for running the Scala compiler in a separate process.
      Since:
        8.11

    - #### getIncrementalOptions

          public IncrementalCompileOptions getIncrementalOptions()

      Options for incremental compilation of Scala code.

    - #### setIncrementalOptions

          @Deprecated
          public void setIncrementalOptions​(IncrementalCompileOptions incrementalOptions)

      Deprecated.
      Setting a new instance of this property is unnecessary. This method will be removed in Gradle 9.0. Use `incrementalOptions(Action)` instead.
      Options for incremental compilation of Scala code.

    - #### incrementalOptions

          public void incrementalOptions​(Action<? super IncrementalCompileOptions> action)

      Configure options for incremental compilation of Scala code.
      Since:
        8.11

    - #### getKeepAliveMode

          @Incubating
          @Input
          public Property<KeepAliveMode> getKeepAliveMode()

      Keeps Scala compiler daemon alive across builds for faster build times
      Since:
        7.6